<template>
    <v-layout-default>
      <div class="bg-white rounded-[20px] relative">
        <v-loading :loading="isLoading" />
        <div
          class="border-b border-[#F3F3F3] py-[19px] px-[28px] font-mm font-bold text-[20px] text-blue-600 flex items-center justify-between"
        >
          <div class="space-x-[13px] flex items-center">
            <fa-icon class="text-2xl" :icon="`fa-file-contract`" />
            <h2>Disbursement Voucher</h2>
          </div>
          <div class="space-x-[10px] flex items-center">
          
            <v-button class="bg-primary hover:bg-primary-80" @click="onExportList"
              >Export</v-button
            >
            <v-button
              class="bg-green-700 hover:bg-green-800"
              @click="onAddDisbursementVoucher"
              >Create
            </v-button>
          </div>
        </div>
        <div class="p-[19px]">
          <VDisbursementVoucherList  />
        </div>
      </div>
    </v-layout-default>
  </template>
  
  <script>
  import VLayoutDefault from "@/pages/layout/VLayoutDefault.vue";
  import VDisbursementVoucherList from "@/components/List/VDisbursementVoucherList";
  import VLoading from "@/components/VLoading";
  import VButton from "@/components/VButton/index.vue";
  import { mapGetters } from "vuex";
  import { csvExport } from "@/helpers/exportcsv";
  
  export default {
    name: "v-disbursement-voucher-form",
    components: {
      VLayoutDefault,
      VDisbursementVoucherList,
      VLoading,
      VButton,
    },
    computed: {
      ...mapGetters("DisbursementVoucher", ["isLoading", "items", "totalRecord"]),
    },
    methods: {
      onAddDisbursementVoucher() {
        this.$router.push("/disbursement/voucher/add");
       
      },
      onExportList() {
        csvExport(this.items);
      },
    },
  };
  </script>
  